
TARGET =ordemo
TARGext=exe
MAK    =mse16
SRC    =de16
ROOT   =d:\msvc

CC     =cl @$(MAK).cfg
LINK   =link
IMPLIB =implib
LIB    =lib
RC     =rc

PATHobj =.
PATHcpp =.
PATHh   =.
PATHbmp =.
PATHdlg =.
PATHres =.
PATHrc  =.
PATHico =.

INCPATH1 =$(PATHh)
INCPATH2 =$(ROOT)\include
INCPATH  =$(INCPATH1);$(INCPATH2)
LIBPATH  =$(ROOT)\lib

RCFLAGS  =-i$(INCPATH);$(PATHres) -fo$(PATHres)\$(SRC).res -r -v
RESFLAGS =-K

CCFLAGS  =-c -AL -GA -Od -W3 -G3 -Zp1 -Gf -Gx- -I$(INCPATH1) -I$(INCPATH2)\
          -Fo$(PATHobj)/ -D STRICT -D NDEBUG
LINKFLAGS=/nod /noi /nopackf /on:n


OBJs = \
 $(PATHobj)\account.obj \
 $(PATHobj)\oracct.obj \
 $(PATHobj)\ordemo.obj \
 $(PATHobj)\orpackls.obj \
 $(PATHobj)\orsales.obj \
 $(PATHobj)\orsource.obj \
 $(PATHobj)\ortulayr.obj \
 $(PATHobj)\packlist.obj \
 $(PATHobj)\sales.obj


RES = \
 $(PATHres)\$(SRC).rc \
 $(PATHres)\ordemo.rc \
 $(PATHres)\ordemo.ico


$(TARGET).$(TARGext) : $(PATHres)\$(SRC).res $(MAK).cfg $(OBJs) $(SRC).def
 echo @<<$(TARGET).lnk
$(PATHobj)\account.obj  +
$(PATHobj)\oracct.obj   +
$(PATHobj)\ordemo.obj   +
$(PATHobj)\orpackls.obj +
$(PATHobj)\orsales.obj  +
$(PATHobj)\orsource.obj +
$(PATHobj)\ortulayr.obj +
$(PATHobj)\packlist.obj +
$(PATHobj)\sales.obj
$(TARGET).$(TARGext)

$(LIBPATH)\oldnames $(LIBPATH)\libw $(LIBPATH)\llibcew objrepsl
$(SRC).def
<<KEEP
 $(LINK) $(LINKFLAGS) @$(TARGET).lnk
 $(RC) $(RESFLAGS) $(PATHres)\$(SRC).res $@


$(PATHres)\$(SRC).res : $(RES)
  $(RC) $(RCFLAGS) $(PATHres)\$(SRC).rc


.cpp{$(PATHobj)}.obj :
   $(CPP) -nologo @$(MAK).cfg $<


$(MAK).cfg : $(MAK).mak
  echo <<$(MAK).cfg
$(CCFLAGS)
<<KEEP


$(PATHobj)\account.obj : account.cpp

$(PATHobj)\oracct.obj : oracct.cpp

$(PATHobj)\ordemo.obj : ordemo.cpp

$(PATHobj)\orpackls.obj : orpackls.cpp

$(PATHobj)\orsales.obj : orsales.cpp

$(PATHobj)\orsource.obj : orsource.cpp

$(PATHobj)\ortulayr.obj : ortulayr.cpp

$(PATHobj)\packlist.obj : packlist.cpp

$(PATHobj)\sales.obj : sales.cpp
