/*
[]===========================================================================[]
||                                                                           ||
||                            Object Reports 1.1                             ||
||                (C) Copyright RollinSoftware Inc 1995,1996                 ||
||                                                                           ||
[]===========================================================================[]
*/


#ifndef  _ORBRUSH_H
#define  _ORBRUSH_H


#include <iostream.h>
#include "orobject.h"


class OREXPORT ORContext;


class OREXPORT ORBrush : public ORObject
  {
  public:
    ORBrush( ORContext *pParentContext_, long lId_,
             int nStyle, COLORREF clrBrush, int nHatch);
    ORBrush( ORContext *pParentContext_, long lId_, LOGBRUSH &stLB_);
    ORBrush( ORContext *pParentContext_, istream &is);
    virtual ~ORBrush( );

            ORBool  Load( istream &is);
            ORBool  Save( ostream &os);
    virtual ORBool  TypeOf( long lType);

    virtual HBRUSH Handle( )           { return hBrush; }
            LOGBRUSH &LogBrush( )      { return stLB; }
            ORBrush *Next( )           { return (ORBrush *)pNext; }
            ORBrush *Prev( )           { return (ORBrush *)pPrev; }
    virtual long   Type( )             { return TYPE_ORBRUSH; }

  protected:
    ORContext *pParentContext;
    LOGBRUSH   stLB;
    HBRUSH     hBrush;

            void   CreateBrush( );

  private:
  };


#endif    //---- _ORBRUSH_H
