/*
[]===========================================================================[]
||                                                                           ||
||                            Object Reports 1.1                             ||
||                (C) Copyright RollinSoftware Inc 1995,1996                 ||
||                                                                           ||
[]===========================================================================[]
*/


#ifndef  _ORCONTXT_H
#define  _ORCONTXT_H


#include "oreports.h"


class OREXPORT ORBrush;
class OREXPORT ORColumn;
class OREXPORT ORFont;
class OREXPORT ORLayer;
class OREXPORT ORPen;
class OREXPORT ORDC;


class OREXPORT ORContext
  {
  public:
    ORContext( );
    virtual ~ORContext( );

            void   Add( ORBrush *pBrush);
            void   Add( ORColumn *pColumn);
            void   Add( ORFont *pFont);
            void   Add( ORLayer *pLayer);
            void   Add( ORPen *pPen);
            ORBrush *Brush( long lId);
            ORFont *Font( long lId);
            ORPen *Pen( long lId);

            void   DC( ORDC *pDC_)                  { pDC = pDC_; }
            ORDC  *DC( )                            { return pDC; }

  protected:
    ORBrush   *pBrushes;
    ORFont    *pFonts;
    ORPen     *pPens;
    ORDC      *pDC;

            void   ClearContext( );

    virtual void   AddColumn( ORColumn *pColumn)       { }
    virtual void   AddLayer( ORLayer *pLayer)          { }

  private:
  };


#endif    //---- _ORCONTXT_H
