/*
[]===========================================================================[]
||                                                                           ||
||                            Object Reports 1.1                             ||
||                (C) Copyright RollinSoftware Inc 1995,1996                 ||
||                                                                           ||
[]===========================================================================[]
*/


#ifndef  _ORSOURCE_H
#define  _ORSOURCE_H


#include <stdio.h>
#include "orreport.h"


//---- developer defined Font Ids
#define  IDFntSrc_Arial12B   1101
#define  IDFntSrc_Arial24B   1102
#define  IDFntSrc_CourNew9   1103


class OREXPORT ORReport_Source : public ORReport
  {
  public:
    ORReport_Source( char *psTitle_, ABORTPROC lpfnAbortProc_,
                     HWND hDlgPrint_, char *psFile);

    virtual long   Instantiate( ORPrintDC *pPrintDC);
    virtual long   InstantiateFonts( );
    virtual long   InstantiateChildren( );
    virtual long   InstantiatePageLayers( );

            int    EndOfFile( );
            char  *GetLine( char *ps, int nChars);

            char  *File( )                             { return sFile; }

  protected:
    HWND    hDlgPrint;
    char    sFile[201];
    FILE   *pFILE;

    virtual long   Initialize( );
    virtual long   PrintPage( );

  private:
  };


class ORLayer_SrcHeader : public ORLayer
  {
  public:
    ORLayer_SrcHeader( ORReport_Source *pRep, long lAttr);

    virtual long   InstantiateChildren( );

  protected:
    ORReport_Source  *pRepSrc;

  private:
  };


class ORLayer_Source: public ORLayer
  {
  public:
    ORLayer_Source( ORReport_Source *pRep);

    virtual long   InstantiateChildren( );

  protected:
    ORReport_Source  *pRepSrc;

  private:
  };


class ORLayer_10Lines : public ORLayer
  {
  public:
    ORLayer_10Lines( ORLayer *pL, ORReport_Source *pRep);

    virtual long   InstantiateChildren( );

  protected:
    ORReport_Source  *pRepSrc;

  private:
  };


#endif    //---- _ORSOURCE_H
