/*
[]===========================================================================[]
||                                                                           ||
||                            Object Reports 1.1                             ||
||                (C) Copyright RollinSoftware Inc 1995,1996                 ||
||                                                                           ||
[]===========================================================================[]
*/


#ifndef  _ORTULAYR_H
#define  _ORTULAYR_H


#include "orreport.h"


//---- developer defined Font Ids
#define  IDFntTL_Arial10         2101
#define  IDFntTL_Arial12         2102
#define  IDFntTL_Arial18         2103
#define  IDFntTL_Arial24         2104
#define  IDFntTL_Arial32         2105


class OREXPORT ORReport_LayerTutor : public ORReport
  {
  public:
    ORReport_LayerTutor( char *psTitle_, ABORTPROC lpfnAbortProc_,
                         HWND hDlgPrint_);

    virtual long   InstantiateChildren( );
    virtual long   InstantiateFonts( );

  protected:
    virtual long   Initialize( );
    virtual long   InstantiatePageLayers( );
    virtual long   PrintPage( );

    HWND  hDlgPrint;

  private:
  };


class ORLayer_RoundRect : public ORLayer
  {
  public:
    ORLayer_RoundRect( ORReport *pR, long lAttr_ = 0, short shMargTop = 0);
    ORLayer_RoundRect( ORLayer *pL, short shMargTop = 0,
                       short shMargBottom = 0);

    virtual long PostPrint( ORDC *pDC);

  protected:
    virtual long SizeAndPosition_Elems_CalcHt( );

  private:
  };


class ORLayer_LTBody : public ORLayer_RoundRect
  {
  public:
    ORLayer_LTBody( ORReport *pR);

  protected:
    virtual long InstantiateChildren( );

  private:
  };


#endif    //---- _ORTULAYR_H
