/*
[]===========================================================================[]
||                                                                           ||
||                            Object Reports 1.1                             ||
||                (C) Copyright RollinSoftware Inc 1995,1996                 ||
||                                                                           ||
[]===========================================================================[]
*/


#ifndef  _PACKLIST_H
#define  _PACKLIST_H


class PLItem
  {
  public:
    int    nQty;
    char   sCode[5],
           sDesc[41],
           sNotes[301];
    double dPrice;

  protected:
  private:
  };


class PackingList
  {
  public:
    char  sTakenBy[31],
          sOrderMonth[16];
    int   nOrderDay,
          nOrderYear;
    char  sShipToName[81],
          sShipToAddr1[81],
          sShipToAddr2[81],
          sShipToCity[81],
          sShipToState[81],
          sShipToZip[81],
          sShipToPhone[81],
          sShipToFax[81],
          sBillToName[81],
          sBillToAddr1[81],
          sBillToAddr2[81],
          sBillToCity[81],
          sBillToState[81],
          sBillToZip[81],
          sBillToPhone[81],
          sBillToFax[81];
    int   nItems;
    PLItem  aItems[2];
    double  dSandH,
            dSalesTax;

    PackingList( );

    double  MerchTotal( );
    double  OrderTotal( );

  protected:
  private:
  };


#endif    //---- _PACKLIST_H
