/*
[]===========================================================================[]
||                                                                           ||
||                            Object Reports 1.1                             ||
||                (C) Copyright RollinSoftware Inc 1995,1996                 ||
||                                                                           ||
[]===========================================================================[]
*/

#pragma  hdrstop

#include <iostream.h>
#include <stdlib.h>
#include <string.h>
#include "sales.h"


//-----------------------------------------------------------------------------
Product::Product( )
  {
  sProduct[0] = 0;
  nUnits = 0;
  nPrice = 0;
  }

istream &operator>>( istream &is, Product &oProduct)
  {
  char  s[101];
  is.getline( s, sizeof( s));
  char *sp = strtok( s, ",");
  strcpy( oProduct.sProduct, sp);

  sp = strtok( NULL, ",");
  oProduct.nPrice = atoi( sp);

  oProduct.nUnits = rand( ) % 10;

  return is;
  }


//-----------------------------------------------------------------------------
Month::Month( )
  {
  sMonth[0] = 0;
  nProducts = 0;
  paProducts = NULL;
  }

Month::~Month( )
  {
  if (paProducts)
    delete []paProducts;
  }

istream &operator>>( istream &is, Month &oMonth)
  {
  char  s[51];
  is.getline( s, sizeof( s));
  if (is.eof( ))
    return is;

  char *sp = strtok( s, ",");
  strcpy( oMonth.sMonth, sp);

  sp = strtok( NULL, ",");
  oMonth.nProducts = atoi( sp);

  if (oMonth.nProducts)
    {
    if (oMonth.paProducts)
      delete []oMonth.paProducts;

    oMonth.paProducts = new Product[oMonth.nProducts];
    }

  for (int i=0; i<oMonth.nProducts; i++)
    {
    is >> oMonth.paProducts[i];
    if (is.eof( ))
      return is;
    }

  return is;
  }
