
TARGET =ordemo
MAK    =sse32
SRC    =de32
ROOT   =d:\sc

CC     =sc @$(MAK).cfg
LINK   =link
IMPLIB =
TLIB   =
RC     =rcc

PATHobj =.
PATHcpp =.
PATHh   =.
PATHbmp =.
PATHdlg =.
PATHres =.
PATHrc  =.
PATHico =.

INCPATH   =$(PATHh);$(ROOT)\include
LIBPATH   =$(ROOT)\lib

RCFLAGS   =-r -w -32 -i$(INCPATH);$(PATHres)
LINKFLAGS =-de -exet:nt


Source = \
 $(PATHobj)\account.obj \
 $(PATHobj)\oracct.obj \
 $(PATHobj)\ordemo.obj \
 $(PATHobj)\orpackls.obj \
 $(PATHobj)\orsales.obj \
 $(PATHobj)\orsource.obj \
 $(PATHobj)\ortulayr.obj \
 $(PATHobj)\packlist.obj \
 $(PATHobj)\sales.obj

Resources = \
 $(PATHres)\$(SRC).rc \
 $(PATHres)\ordemo.ico \
 $(PATHres)\ordemo.rc \
 $(PATHh)\ordemo.h


$(TARGET).exe : $(MAK).cfg $(PATHres)\$(TARGET).res $(Source)
 echo $(PATHobj)\account  +           >link.rsp
 echo $(PATHobj)\oracct   +           >>link.rsp
 echo $(PATHobj)\ordemo   +           >>link.rsp
 echo $(PATHobj)\orpackls +           >>link.rsp
 echo $(PATHobj)\orsales  +           >>link.rsp
 echo $(PATHobj)\orsource +           >>link.rsp
 echo $(PATHobj)\ortulayr +           >>link.rsp
 echo $(PATHobj)\packlist +           >>link.rsp
 echo $(PATHobj)\sales                >>link.rsp
 echo $(TARGET)                       >>link.rsp
 echo nul                             >>link.rsp
 echo kernel32 gdi32 user32 objrepsl  >>link.rsp
 echo $(SRC).def                      >>link.rsp
 echo $(PATHres)\$(TARGET).res        >>link.rsp
 $(LINK) $(LINKFLAGS) @link.rsp

$(PATHres)\$(TARGET).res : $(Resources)
 $(RC) $(RCFLAGS) -o$(PATHres)\$(TARGET) $(PATHres)\$(SRC).rc

$(MAK).cfg : $(MAK).mak
 echo -3                   >$(MAK).cfg
 echo -a1                  >>$(MAK).cfg
 echo -c                   >>$(MAK).cfg
 echo -cpp                 >>$(MAK).cfg
 echo -DSTRICT             >>$(MAK).cfg
 echo -I$(INCPATH)         >>$(MAK).cfg
 echo -mn                  >>$(MAK).cfg
 echo -v0                  >>$(MAK).cfg
 echo -WA                  >>$(MAK).cfg


$(PATHobj)\account.obj : account.cpp
  $(CC) -o$* $(@B)

$(PATHobj)\oracct.obj : oracct.cpp
  $(CC) -o$* $(@B)

$(PATHobj)\ordemo.obj : ordemo.cpp
  $(CC) -o$* $(@B)

$(PATHobj)\orpackls.obj : orpackls.cpp
  $(CC) -o$* $(@B)

$(PATHobj)\orsales.obj : orsales.cpp
  $(CC) -o$* $(@B)

$(PATHobj)\orsource.obj : orsource.cpp
  $(CC) -o$* $(@B)

$(PATHobj)\ortulayr.obj : ortulayr.cpp
  $(CC) -o$* $(@B)

$(PATHobj)\packlist.obj : packlist.cpp
  $(CC) -o$* $(@B)

$(PATHobj)\sales.obj : sales.cpp
  $(CC) -o$* $(@B)
