
TARGET =ordemo
TARGext=exe
MAK    =mse32
SRC    =de32
ROOT   =e:\msdev

CC     =cl @$(MAK).cfg
LINK   =link
IMPLIB =
TLIB   =
RC     =rc

PATHobj =.
PATHcpp =.
PATHh   =.
PATHbmp =.
PATHdlg =.
PATHres =.
PATHrc  =.
PATHico =.

INCPATH1  =$(PATHh)
INCPATH2  =$(ROOT)\include
INCPATH   =$(INCPATH1);$(INCPATH2)
LIBPATH   =$(ROOT)\lib

RCFLAGS  =-i$(INCPATH);$(PATHres) -fo$(PATHres)\$(SRC).res -r -v
CCFLAGS  =/c /G3 /ML /Od /W3 /GX- /YX /Zp1 /D WIN32 /D _WINDOWS /D STRICT\
          /I$(INCPATH1) /I$(INCPATH2) /Fo$(PATHobj)/
LINKFLAGS=/subsystem:windows /def:$(SRC).def /out:$(TARGET).$(TARGext)

OBJS = \
	$(PATHobj)\account.obj \
	$(PATHobj)\oracct.obj \
	$(PATHobj)\ordemo.obj \
	$(PATHobj)\orpackls.obj \
	$(PATHobj)\orsales.obj \
	$(PATHobj)\orsource.obj \
	$(PATHobj)\ortulayr.obj \
	$(PATHobj)\packlist.obj \
	$(PATHobj)\sales.obj

RES = \
	$(PATHres)\$(SRC).rc \
	$(PATHres)\ordemo.rc \
	$(PATHres)\ordemo.ico


$(TARGET).$(TARGext) : $(PATHres)\$(SRC).res $(MAK).cfg $(OBJS) $(SRC).def
    $(LINK) @<<
$(LINKFLAGS)
$(OBJS) $(PATHres)\$(SRC).res
$(LIBPATH)\kernel32.lib $(LIBPATH)\user32.lib $(LIBPATH)\gdi32.lib objrepsl.lib
$(LIBPATH)\libc.lib $(LIBPATH)\oldnames.lib
<<


$(PATHres)\$(SRC).res : $(RES)
  $(RC) $(RCFLAGS) $(PATHres)\$(SRC).rc


.cpp{$(PATHobj)}.obj :
   $(CPP) /nologo @$(MAK).cfg $<


$(MAK).cfg : $(MAK).mak
  echo <<$(MAK).cfg
$(CCFLAGS)
<<KEEP


$(PATHobj)\account.obj : account.cpp

$(PATHobj)\oracct.obj : oracct.cpp

$(PATHobj)\ordemo.obj : ordemo.cpp

$(PATHobj)\orpackls.obj : orpackls.cpp

$(PATHobj)\orsales.obj : orsales.cpp

$(PATHobj)\orsource.obj : orsource.cpp

$(PATHobj)\ortulayr.obj : ortulayr.cpp

$(PATHobj)\packlist.obj : packlist.cpp

$(PATHobj)\sales.obj : sales.cpp
