/*
[]===========================================================================[]
||                                                                           ||
||                            Object Reports 1.1                             ||
||                (C) Copyright RollinSoftware Inc 1995,1996                 ||
||                                                                           ||
[]===========================================================================[]
*/


#ifndef  _ORDEMO_H
#define  _ORDEMO_H


//---- application (Demo) Menu Ids
#define  IDM_FilePrint         101
#define  IDM_FileExit          102

#define  IDM_RepTutorLayer     201
#define  IDM_RepSales          202
#define  IDM_RepPackingList    203
#define  IDM_RepAccount        204
#define  IDM_RepAnnual         205

#define  IDM_SrcTutorLayer     301
#define  IDM_SrcSales          302
#define  IDM_SrcPackingList    303
#define  IDM_SrcAccount        304
#define  IDM_SrcAnnual         305
#define  IDM_SrcSource         306

#define  IDM_OutputToPrinter   401
#define  IDM_OutputToPreview   402

#define  IDM_ModeFullPage           501
#define  IDM_ModeScreenPageWidth    502
#define  IDM_ModeScreenPageHeight   503
#define  IDM_ModeWindowPageWidth    504
#define  IDM_ModeWindowPageHeight   505


//---- application (Demo) Control Ids
#define  IDC_PSTitle           301
#define  IDC_PSStatus          302


//---- application (Demo) User Window Messages
#define  WMU_TITLE            (WM_USER + 1)
#define  WMU_PRINTINGPAGE     (WM_USER + 2)


//---- application (Demo) error codes
#define  APPERR_FILE       -1
#define  APPERR_NOMORE     -2
#define  APPERR_MEMORY     -3

#define  APPERR_NONAMES    -101


#ifdef WIN32
#define  ORDEMOEXPORT
#else
#define  ORDEMOEXPORT   __export
#endif


#endif    //---- _ORDEMO_H
