/*
[]===========================================================================[]
||                                                                           ||
||                            Object Reports 1.1                             ||
||                (C) Copyright RollinSoftware Inc 1995,1996                 ||
||                                                                           ||
[]===========================================================================[]
*/


#ifndef  _ORPREVDC_H
#define  _ORPREVDC_H


#include "ordc.h"


class OREXPORT ORBrush;
class OREXPORT ORFont;
class OREXPORT ORPen;


class OREXPORT ORPreviewDC : public ORDC
  {
  public:
    ORPreviewDC( HWND hWnd_ = 0);
    virtual ~ORPreviewDC( );

            long   BeginPaint( HWND hWnd);
            void   EndPaint( );
            ORBool GetDC( HWND hWnd);
    virtual int    GetPrinterDeviceCaps( int nIndex);
            ORBool GetWindowExtEx( SIZE &stSZ);
            ORBool GetWindowOrgEx( POINT &stPT);
            ORBool GetViewportExtEx( SIZE &stSZ);
            ORBool GetViewportOrgEx( POINT &stPT);
            ORBool ReleaseDC( );
            void   SetLogPixels( short shLogPixelsX, short shLogPixelsY);
            ORBool SetMapMode( int nMapMode);
            ORBool SetViewportExtEx( long lX, long lY);
            ORBool SetViewportOrgEx( long lX, long lY);
            ORBool SetWindowExtEx( long lX, long lY);
            ORBool SetWindowOrgEx( long lX, long lY);
    virtual ORBool TypeOf( long lType);

    virtual long   Type( )                     { return TYPE_ORPREVIEWDC; }

  protected:
    PAINTSTRUCT  stPS;
    ORBool       bReleaseDC;

    HWND   hWnd;

    short  shLogPixelsX;
    short  shLogPixelsY;

    void   RestoreAll( );

  private:
  };


#endif    //---- _ORPREVDC_H
