/*
[]===========================================================================[]
||                                                                           ||
||                            Object Reports 1.1                             ||
||                (C) Copyright RollinSoftware Inc 1995,1996                 ||
||                                                                           ||
[]===========================================================================[]
*/

#pragma  hdrstop

#include <string.h>
#include "packlist.h"


//-----------------------------------------------------------------------------
PackingList::PackingList( )
  {
  strcpy( sTakenBy, "Kent Rollins");

  strcpy( sOrderMonth, "July");
  nOrderDay  = 7;
  nOrderYear = 1995;

  strcpy( sShipToName,  "Kent Rollins");
  strcpy( sShipToAddr1, "Rollins Software Inc");
  strcpy( sShipToAddr2, "PO Box I'don'know");
  strcpy( sShipToCity,  "Atlanta");
  strcpy( sShipToState, "GA");
  strcpy( sShipToZip,   "30327-1225");
  strcpy( sShipToPhone, "404.555.1234");
  strcpy( sShipToFax,   "404.555.1234");

  strcpy( sBillToName,  "This is one field");
  strcpy( sBillToAddr1, "and is relative to \"BILL TO:\"");
  strcpy( sBillToAddr2, "Same field");
  strcpy( sBillToCity,  "Same field");
  strcpy( sBillToState, "");
  strcpy( sBillToZip,   "");
  strcpy( sBillToPhone, "Relative to");
  strcpy( sBillToFax,   "field at left.");

  dSandH    = 5.00;
  dSalesTax = 0.00;

  nItems = 2;
          aItems[0].nQty    = 1;
  strcpy( aItems[0].sCode, "FB1D");
  strcpy( aItems[0].sDesc, "FooBar 1.0 DLL");
          aItems[0].dPrice  = 95.00;
  strcpy( aItems[0].sNotes, "This line contains a linefeed.\n"
                            "This is a bunch of text that automatically "
                            "wraps based on the maximum field width.  "
                            "Notice that the layer height automatically "
                            "adjusts to the height of this text.");

          aItems[1].nQty    = 1;
  strcpy( aItems[1].sCode, "FB1S");
  strcpy( aItems[1].sDesc, "FooBar 1.0 Source");
          aItems[1].dPrice  = 129.00;
  strcpy( aItems[1].sNotes, "this space intentionally left blank");
  }

double PackingList::MerchTotal( )
  {
  double dMT = 0;

  for (int i=0; i<nItems; i++)
    dMT += aItems[i].nQty * aItems[i].dPrice;

  return dMT;
  }

double PackingList::OrderTotal( )
  {
  return (dSandH + dSalesTax + MerchTotal( ));
  }
